CALIBRE-DEBUG(1)

NAME
calibre-debug - calibre-debug

calibre-debug [opcions]

Various command line interfaces useful for debugging calibre. With no options, this command starts an embedded Python interpreter. You can also run the main calibre GUI, the calibre E-book viewer and the calibre editor in debug mode.

It also contains interfaces to various bits of calibre that do not have dedicated command line tools, such as font subsetting, the E-book diff tool and so on.

You can also use calibre-debug to run standalone scripts. To do that use it like this: calibre-debug -e myscript.py -- --option1 --option2 file1 file2 ...

Everything after the -- is passed to the script. You can also use calibre-debug as a shebang in scripts, like this: #!/usr/bin/env -S calibre-debug -e -- --

Sempre que passeu arguments a calibre-debug i aquests tinguin espais en blanc, delimiteu els arguments amb cometes. Per exemple: "/some path/with spaces"

[OPCIONS]

--add-simple-plugin
    Afegiu un connector simple (per exemple, un connector que consisteixi de només un fitxer .py) quan especifiqueu el camí al fitxer py que conté el codi del connector.

--command, -c
    Executa el codi Python.

--debug-device-driver, -d
    Depura la detecció del dispositiu

--default-programs
    (Des)registra calibre dels programes predeterminats de Windows. --default-programs = (register|unregister)

--diff
    Executa l'eina diff de calibre. Per exemple: calibre-debug --diff fitxer1 fitxer2

--edit-book
    Inicia l'eina d'edició de llibres de calibre en mode de depuració.

--exec-file, -e
    Executa el codi Python del fitxer.

--explode-book, -x
    Explode the book into the specified folder. Usage: -x file.epub output_dir Exports the book as a collection of HTML files and metadata, which you can edit using standard HTML editing tools. Works with EPUB, AZW3, HTMLZ and DOCX files.

--export-all-calibre-data
    Export all calibre data (books/settings/plugins). Normally, you will be asked for the export folder and the libraries to export. You can also specify them as command line arguments to skip the questions. Use absolute paths for the export folder and libraries. The special keyword "all" can be used to export all libraries. Examples: calibre-debug --export-all-calibre-data # for interactive use calibre-debug --export-all-calibre-data /path/to/empty/export/folder /path/to/library/folder1 /path/to/library2 calibre-debug --export-all-calibre-data /export/folder all # export all known libraries

--fix-multiprocessing
    Per a ús intern

--gui, -g
    Executa la interfície gràfica amb la depuració habilitada. La informació del depurador sortirà per stdout i stderr.

--gui-debug
    Executa la interfície gràfica amb una consola de depuració i amb enregistrament al camí especificat. Només és per a ús intern, utilitzeu l'opció -g per a executar la interfície gràfica en mode de depuració

--help, -h
    mostra aquest missatge d'ajuda i surt

--implode-book, -i
    Contrau un llibre expandit anteriorment. Ús: -i dir_sortida fitxer.epub Importa el llibre a partir dels fitxers dins del dir_sortida, els quals han estat creats anteriorment amb la crida --explode-book. Assegureu-vos d'especificar el mateix tipus de fitxer que es va utilitzar amb l'expansió.

--import-calibre-data
    Importa dades de calibre prèviament exportades

--inspect-mobi, -m
    Inspecciona els fitxers MOBI als camins especificats

--paths
    Sortida dels camins necessaris per configurar l'entorn de calibre

--run-plugin, -r
    Run a plugin that provides a command line interface. For example: calibre-debug -r "Plugin name" -- file1 --option1 Everything after the -- will be passed to the plugin as arguments.

--run-test, -t
    Run the named test(s). Use the special value "all" to run all tests. If the test name starts with a period it is assumed to be a module name. If the test name starts with @ it is assumed to be a category name.

--run-without-debug
    Don't run with the DEBUG flag set

--shutdown-running-calibre, -s
    Fa que es tanqui qualsevol instància de calibre, si n'hi ha alguna. Vigileu, ja que si hi ha treballs en execució, s'avortaran sense cap confirmació.

--subset-font, -f
    Subconjunt de la lletra especificada. Utilitzeu -- després d'aquesta opció per a passar l'opció al programa de subconjunts de lletres.

--test-build
    Prova els mòduls binaris a la construcció

--version
    mostra el número de versió del programa i surt

--viewer, -w
    Executa el visualitzador de llibres en mode de depuració

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal